View Issue Details

IDProjectCategoryView StatusLast Update
0001148HTML & PERLBug Report - Interfacepublic2010-09-06 14:31
Reporterncmaothvez Assigned ToDerIdiot  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001148: State of episode Watched icon in episode list does not change as expected.
DescriptionIf one has added more than one file to mylist for any given episode, then, in the episode list on the anime page:

* To make the episode's watched icon appear, ALL files in mylist must be marked as watched or the unwatched files must be removed from mylist. This is a bit unlogical since the episode has been watched as soon as one of the files have been watched.

* ALL files must be marked as unwatched for the icon to disappear. This is logical.

The outcome is the same both when changing the file state directly in the episode list on an anime page or when dumping ed2k links. Have not tried any of the clients.

The 'Seen' stats in MyList info box on the anime page does change as expected.

Attached pic (from Uchuu no Stellvia ep #1) shows the result when all files were initially in unwatched state and then R-B's file was marked as watched => No watched icon on episode.
TagsNo tags attached.

Relationships

related to 0001152 resolvedfahrenheit Ajax watched button 

Activities

2008-05-14 19:50

 

watched.PNG (29,102 bytes)
watched.PNG (29,102 bytes)

fahrenheit

2008-08-03 21:11

reporter   ~0002256

i'm pretty sure this one is solved, at least for the ajax page.

if not, re-open tracker item.

ncmaothvez

2008-08-04 16:43

reporter   ~0002259

Just checked and the non-ajax pages still behaves as before. Maybe the bugfix hasn't been applied yet to the server?

DerIdiot

2010-09-06 14:31

administrator   ~0003162

seems fixed to me

Issue History

Date Modified Username Field Change
2008-05-14 19:50 ncmaothvez New Issue
2008-05-14 19:50 ncmaothvez File Added: watched.PNG
2008-05-22 15:20 fahrenheit Relationship added related to 0001153
2008-05-22 15:21 fahrenheit Relationship deleted related to 0001153
2008-05-22 15:21 fahrenheit Relationship added related to 0001152
2008-08-03 21:11 fahrenheit Status new => resolved
2008-08-03 21:11 fahrenheit Resolution open => fixed
2008-08-03 21:11 fahrenheit Assigned To => fahrenheit
2008-08-03 21:11 fahrenheit Note Added: 0002256
2008-08-04 16:43 ncmaothvez Status resolved => feedback
2008-08-04 16:43 ncmaothvez Resolution fixed => reopened
2008-08-04 16:43 ncmaothvez Note Added: 0002259
2008-08-04 16:54 fahrenheit Status feedback => assigned
2008-08-04 16:54 fahrenheit Assigned To fahrenheit => DerIdiot
2009-08-31 17:40 DerIdiot Assigned To DerIdiot =>
2009-08-31 17:40 DerIdiot Status assigned => acknowledged
2010-09-06 14:31 DerIdiot Note Added: 0003162
2010-09-06 14:31 DerIdiot Status acknowledged => resolved
2010-09-06 14:31 DerIdiot Resolution reopened => fixed
2010-09-06 14:31 DerIdiot Assigned To => DerIdiot